Home » Developer & Programmer » Precompilers, OCI & OCCI » Connection from 8.1.6 pro*c to 9.2 database
Connection from 8.1.6 pro*c to 9.2 database [message #94050] Thu, 20 November 2003 15:22 Go to next message
Ponnusamy Anand
Messages: 1
Registered: November 2003
Junior Member
I'm trying to compile pro*c code (which has a procedure call) with Oracle 8.1.6 client libraries connecting to an Oracle 9.2.0 server. I'm able to successfully compile the code. But when I try to boot the service, it gives me "SQL-02127: Precompiler/SQLLIB version mismatch" error message. So Do I need to compile pro*c code with pro*c 9.2 version in order to access a 9.2 database or is there any other possible solution?
Any help would be greatly appreciated.

Thanks in advance,
P. Anand
Re: Connection from 8.1.6 pro*c to 9.2 database [message #94251 is a reply to message #94050] Fri, 04 June 2004 18:40 Go to previous messageGo to next message
Frank Scherie
Messages: 10
Registered: June 2004
Junior Member
Hello,

you cannot run a Oracle 8.1.6 Library based Application in a Oracle 9.2 environment - this is unsupported.
You need to install a minimal Oracle 8.1.6 client in a other Oracle Home and set the Path and Oracle Home variable to this directory before running the Application - this can be done by a shell (unix) or cmd (windows) file - containing as last entrz the Application

best regards
Frank Scherie
Re: Connection from 8.1.6 pro*c to 9.2 database [message #94527 is a reply to message #94050] Thu, 06 January 2005 00:03 Go to previous message
sekar
Messages: 3
Registered: February 2003
Junior Member
Pro c Database concepts
Previous Topic: pro*c when fetch out of sequence will come
Next Topic: pro*c memset,lenset,nullset
Goto Forum:
  


Current Time: Tue Dec 11 11:53:38 CST 2018